require 'spec_helper'

describe AltaBikes do

  it 'uses a class configured URL' do
    AltaBikes.configure do |config|
      config.json_url = 'http://www.testbikes.com/stations/json'
    end
    expect(AltaBikes::City.new().json_url).to eql('http://www.testbikes.com/stations/json')
  end

  it 'uses an instance configured URL' do
    config = AltaBikes::Configuration.new
    config.json_url = 'http://www.testbikes.com/stations/json'
    expect(AltaBikes::City.new(config).json_url).to eql('http://www.testbikes.com/stations/json')
  end

  it 'uses a default url' do
    expect(AltaBikes::Configuration.new.json_url).to eql('http://www.divvybikes.com/stations/json')
  end
end
